package org.linlinjava.jz.core.util;

public class SecondUtil {

    /**
     * 时长秒转成分钟和小时 结果hh:mm:ss
     *
     * @param second
     * @return
     */
    public static String SecodeToMinute(Integer second) {
        if (second == null) return "00:00:00";
        Integer hour = second / 3600;
        Integer monute = second % 3600 / 60;
        Integer s = second - hour * 3600 - monute * 600;

        return String.format("%06", hour) + ":" + String.format("%06", monute) + ":" + String.format("%06", s);
    }
}
